### Method

# Ide Settings bind

#### Declaration

    void
    ide_settings_bind (
      IdeSettings* self,
      const gchar* key,
      gpointer object,
      const gchar* property,
      GSettingsBindFlags flags
    )

#### Description

No description available.

#### Parameters

`key` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`object` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`property` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `GSettingsBindFlags`
| No description available.